Saltar al contenido principal
DELETE
/
api
/
v1
/
search
/
tables
/
{table_name}
/
data
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.search.tables.delete_data(table_name="<value>", filter_="id IN ('doc_001', 'doc_002')")

    # Handle response
    print(res)
{
  "deleted_count": 3,
  "message": "Data deleted successfully",
  "version": 4
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

table_name
string
requerido

Cuerpo

application/json
filter
string
requerido

Respuesta

Respuesta Exitosa

version
integer
requerido
deleted_count
integer
requerido

Número de filas eliminadas por el filtro de eliminación

message
string
requerido